## wxStaticLine

A static line is just a line which may be used in a dialog to separate the groups of controls. The line may be only vertical or horizontal.

Derived from

wxControl
wxWindow
wxEvtHandler
wxObject

Include files

<wx/statline.h>

Window styles

wxLI_HORIZONTAL | Creates a horizontal line.
wxLI_VERTICAL | Creates a vertical line.

See also

wxStaticBox

Members

wxStaticLine::wxStaticLine
wxStaticLine::Create
wxStaticLine::IsVertical
wxStaticLine::GetDefaultSize

### wxStaticLine::wxStaticLine

wxStaticLine()

Default constructor.

wxStaticLine(wxWindow* parent, wxWindowID id, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxLI_HORIZONTAL, const wxString& name = "staticLine")

Constructor, creating and showing a static line.

Parameters

parent

Parent window. Must not be NULL.

id

Window identifier. A value of -1 indicates a default value.

pos

Window position. If the position (-1, -1) is specified then a default position is chosen.

size

Size. Note that either the height or the width (depending on whether the line if horizontal or vertical) is ignored.

style

Window style (either wxLI_HORIZONTAL or wxLI_VERTICAL).

name

Window name.

See also

wxStaticLine::Create

### wxStaticLine::Create

bool Create(wxWindow* parent, wxWindowID id, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = 0, const wxString& name = "staticLine")

Creates the static line for two-step construction. See wxStaticLine::wxStaticLine for further details.

### wxStaticLine::IsVertical

bool IsVertical() const

Returns TRUE if the line is vertical, FALSE if horizontal.

### wxStaticLine::GetDefaultSize

int GetDefaultSize()

This static function returns the size which will be given to the smaller dimension of the static line, i.e. its height for a horizontal line or its width for a vertical one.